List nfts
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nftsimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nfts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nfts": [
{
"account_id": "0.1.2",
"created_timestamp": "1234567890.000000001",
"delegating_spender": "0.0.400",
"deleted": false,
"metadata": "VGhpcyBpcyBhIHRlc3QgTkZU",
"modified_timestamp": "1610682445.003266001",
"serial_number": 124,
"spender_id": "0.0.500",
"token_id": "0.0.222"
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Tokens
List nfts
Returns a list of non-fungible tokens
GET
/
api
/
v1
/
tokens
/
{tokenId}
/
nfts
List nfts
Path Parameters
Token id
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Query Parameters
The ID of the account to return information for
Pattern:
^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc The nft serial number (64 bit type). Requires a tokenId value also be populated.
Pattern:
^((eq|gt|gte|lt|lte):)?\d{1,19}?$Was this page helpful?
⌘I